petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSInterpolate

Interpolate the solution computed during the previous step to an arbitrary location in the interval

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSInterpolate(TS ts,PetscReal t,Vec U)

Collective on TS

### Input Argument

| ts | - time stepping context
| t | - time to interpolate to

### Output Argument

U -state at given time

### Developer Notes

TSInterpolate() and the storing of previous steps/stages should be generalized to support delay differential equations and continuous adjoints.

### Keywords

TS, set

### See Also

TSSetExactFinalTime(), TSSolve()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html

### Implementations

TSInterpolate_ARKIMEX in src/ts/impls/arkimex/arkimex.c
TSInterpolate_BDF in src/ts/impls/bdf/bdf.c
TSInterpolate_EIMEX in src/ts/impls/eimex/eimex.c
TSInterpolate_Euler in src/ts/impls/explicit/euler/euler.c
TSInterpolate_RK in src/ts/impls/explicit/rk/rk.c
TSInterpolate_GLEE in src/ts/impls/glee/glee.c
TSInterpolate_Alpha in src/ts/impls/implicit/alpha/alpha1.c
TSInterpolate_Alpha in src/ts/impls/implicit/alpha/alpha2.c
TSInterpolate_Sundials in src/ts/impls/implicit/sundials/sundials.c
TSInterpolate_Theta in src/ts/impls/implicit/theta/theta.c
TSInterpolate_Mimex in src/ts/impls/mimex/mimex.c
TSInterpolate_RosW in src/ts/impls/rosw/rosw.c
TSInterpolate_BasicSymplectic in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages